> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List apps

GET https://{tenant_name}.benchling.com/api/v2/apps

List apps

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/apps/list-benchling-apps

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `pageSize` (integer, optional, default: 50) — Number of results to return.
- `nextToken` (string, optional) — Token for pagination
- `sort` (enum, optional, default: modifiedAt) — Method by which to order search results. Valid sorts are name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.
  - Allowed values: `createdAt`, `createdAt:asc`, `createdAt:desc`, `modifiedAt`, `name`, `modifiedAt:asc`, `name:asc`, `modifiedAt:desc`, `name:desc`
- `ids` (string, optional) — Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
- `modifiedAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.
- `name` (string, optional) — Name of an app. Restricts results to those with the specified name.
- `nameIncludes` (string, optional) — Name substring of an app. Restricts results to those with names that include the provided substring.
- `names.anyOf` (string, optional) — Comma-separated list of app names. Maximum of 100. Restricts results to those that match any of the specified names, case insensitive. Warning - this filter can be non-performant due to case insensitivity.
- `names.anyOf.caseSensitive` (string, optional) — Comma-separated list of app names. Maximum of 100. Restricts results to those that match any of the specified names, case sensitive.
- `creatorIds` (string, optional) — Comma separated list of users IDs
- `memberOf` (string, optional) — Comma-separated list of organization and/or team API IDs. Restricts results to apps that are members of all given groups.
- `adminOf` (string, optional) — Comma-separated list of organization and/or team API IDs. Restricts results to apps that are admins of all given groups.

## Response

### 200

OK

- `apps` (list of BenchlingApp, optional)
- `nextToken` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

### 403 Forbidden Error

Forbidden

- `error` (ForbiddenErrorError, optional)

## Types

### BenchlingApp

- `apiURL` (string, optional)
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `createdAt` (datetime, optional) — DateTime at which the the app was created
- `creator` (UserSummary, optional)
- `description` (string, optional)
- `id` (string, optional)
- `modifiedAt` (datetime, optional) — DateTime at which the the app was last modified
- `name` (string, optional)
- `webURL` (string, optional)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### ForbiddenErrorError

- `invalidId` (string, optional)
- `message` (string, optional)
- `type` (string, optional)
- `userMessage` (string, optional)

### ArchiveRecord

- `reason` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "apps": [
    {
      "apiURL": "https://benchling.com/api/v2/apps/app_e59sjL23Pqn30xHg",
      "archiveRecord": {
        "reason": "Made in error"
      },
      "createdAt": "2024-01-15T09:30:00Z",
      "creator": {
        "handle": "string",
        "id": "string",
        "name": "string"
      },
      "description": "This is my first App!",
      "id": "app_e59sjL23Pqn30xHg",
      "modifiedAt": "2024-01-15T09:30:00Z",
      "name": "My First App",
      "webURL": "https://benchling.com/developer/apps/app_e59sjL23Pqn30xHg"
    }
  ],
  "nextToken": "string"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/apps"

querystring = {"modifiedAt":"> 2022-03-01 AND < 2022-04-01"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/apps?modifiedAt=%3E+2022-03-01+AND+%3C+2022-04-01';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```